GNU bug report logs - #13431
24.2; UTF-8 causes bad reference position under Emacs Info

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Joseph Oswald <josephoswald@HIDDEN>; Keywords: patch; merged with #20704; dated Mon, 14 Jan 2013 00:46:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) patch. Request was from Teddy Hogeborn <teddy@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 13431 20704. Request was from Teddy Hogeborn <teddy@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Jan 2013 00:45:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 13 19:45:30 2013
Received: from localhost ([127.0.0.1]:58834 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TuYB6-0008R6-UQ
	for submit <at> debbugs.gnu.org; Sun, 13 Jan 2013 19:45:29 -0500
Received: from eggs.gnu.org ([208.118.235.92]:51106)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <josephoswald@HIDDEN>) id 1TuWjy-0006HA-29
	for submit <at> debbugs.gnu.org; Sun, 13 Jan 2013 18:13:23 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <josephoswald@HIDDEN>) id 1TuWjT-0007VL-71
	for submit <at> debbugs.gnu.org; Sun, 13 Jan 2013 18:12:56 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-102.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_LOW, T_DKIM_INVALID,
	USER_IN_WHITELIST autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:56072)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <josephoswald@HIDDEN>) id 1TuWjT-0007VH-3W
	for submit <at> debbugs.gnu.org; Sun, 13 Jan 2013 18:12:51 -0500
Received: from eggs.gnu.org ([208.118.235.92]:34235)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <josephoswald@HIDDEN>) id 1TuWjP-0003Q6-Vi
	for bug-gnu-emacs@HIDDEN; Sun, 13 Jan 2013 18:12:51 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <josephoswald@HIDDEN>) id 1TuWjJ-0007Tt-AK
	for bug-gnu-emacs@HIDDEN; Sun, 13 Jan 2013 18:12:47 -0500
Received: from mail-qc0-f173.google.com ([209.85.216.173]:46664)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <josephoswald@HIDDEN>) id 1TuWjJ-0007Tm-39
	for bug-gnu-emacs@HIDDEN; Sun, 13 Jan 2013 18:12:41 -0500
Received: by mail-qc0-f173.google.com with SMTP id b12so2160955qca.4
	for <bug-gnu-emacs@HIDDEN>; Sun, 13 Jan 2013 15:12:40 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:date:message-id:subject:from:to:content-type;
	bh=9yogx+7IcEKcbyESA7A5OYTdE9WhGfo9WKH1oevmwOo=;
	b=Ze2l7qmnqccELAsLP7JevDFSqiUbLHerHHW4xCCkvdGo1FbrOmDcQcDwTUMuSSFWik
	B04fro5yg6o3uVYEGxDshnBFsJR9LpMzg81gMS9z17GylXnH/qZaf0nCxDjxwsKEk5Fz
	22Ct1IXH2DQfI+xjv6B45et2SZNMN4AYFDso3CLMP6H+Fg3us18LmMFUTzl9SMEJ9QII
	6VZBxjqiihfI6OQC27OF75uSy17MfwZR9RYmPZ7TkcPJDfNHltGcTir19HOcJ1RFiMtQ
	hmImMzOagz80Viiwi/d7cM1GJKCmdvDbUm3QZrucRAEd/VDgDL+D2/70FgjGfNbWfgG6
	EZZg==
MIME-Version: 1.0
Received: by 10.229.178.77 with SMTP id bl13mr16980118qcb.130.1358118760215;
	Sun, 13 Jan 2013 15:12:40 -0800 (PST)
Received: by 10.49.59.193 with HTTP; Sun, 13 Jan 2013 15:12:39 -0800 (PST)
Date: Sun, 13 Jan 2013 18:12:39 -0500
Message-ID: <CALQ_E59oOkr5P7QGzTxYDJLRPTe_B0ez1VqviFWiY84zzwMSXg@HIDDEN>
Subject: 24.2; UTF-8 causes bad reference position under Emacs Info
From: Joseph Oswald <josephoswald@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/mixed; boundary=0016e68f9f6043f5ac04d333aabf
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -6.1 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 13 Jan 2013 19:45:28 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.1 (------)

--0016e68f9f6043f5ac04d333aabf
Content-Type: text/plain; charset=ISO-8859-1

Info files with UTF-8 characters cause bad cursor positioning when
following references.

In the attached utf8-test info file, following the reference "English"
positions the point "p" in "speaking", several characters past where
the reference is located.

utf8-test was generated using makeinfo from texinfo 4.13

I did a bit of investigation: makeinfo apparently generates tag tables
using bytes, not characters; it seems Emacs Info is using goto-char
without the bytes-to-position conversion.

However, when I tried a simple fix, the position was still off-by-one.
Standalone info seems to be off-by-one position as well.

In GNU Emacs 24.2.1 (x86_64-apple-darwin10.8.0, NS apple-appkit-1038.36)
 of 2012-11-29 on joseph-oswalds-ibook-g4.local
Windowing system distributor `Apple', version 10.3.1038
Configured using:
 `configure '--prefix=/opt/local' '--with-ns' '--without-x'
 '--without-dbus' 'CC=/usr/bin/gcc-4.2' 'CFLAGS=-pipe -O2 -arch x86_64'
 'LDFLAGS=-L/opt/local/lib -arch x86_64'
 'CPPFLAGS=-I/opt/local/include''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default enable-multibyte-characters: t

Major mode: Info

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  size-indication-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<down> <down> <down> <down> <down> <down> <down> <down>
<down> <down> <down> <down> <down> <down> <down> <down>
<down> <down> <down> <down> <down> <down> <down> <down>
<down> <down> <down> <down> <down> <down> <down> <down>
<down> <down> <down> <down> <down> <down> <down> <down>
<down> <down> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <down> <down> <down>
<down> <down> <down> <down> <down> <down> <down> <down>
<down> <down> <down> <down> <down> <down> <up> <up>
<up> <up> <up> <up> <up> <down> <down> <down> <down>
<down> <down> <down> <down> <down> <down> C-x C-x k
C-x k <return> y e s <return> q q q q C-u C-h i ~ /
D o c <tab> D e v <tab> F <tab> S <tab> t e <tab> <tab>
<tab> <return> n f E n g <tab> <return> <escape> x
<up> <return> <up> <up> <return> C-x ` <down> <up>
<up> C-v <down> <down> <down> <down> <down> <down>
<down> <down> <down> <down> <down> <down> <down> <down>
<down> <down> <down> <down> <down> <down> <down> <down>
<down> <down> <down> <down> <down> <down> <down> <down>
<down> <down> <down> <down> <down> <down> <down> <down>
<down> <down> <down> <down> <up> C-x k <return> y e
s <return> q U H i C-u C-h i ~ / D o c u m e n t s
/ D e v e l o p m e n t / F S F / t e x t i n f o /
<backspace> <backspace> <backspace> <backspace> <backspace>
<backspace> i n f o / u t f - <backspace> 8 - t e s
t <return> n f E n g l i s h <return> <escape> x <up>
<return>

Recent messages:
Checking 48 files in
/Applications/MacPorts/Emacs.app/Contents/Resources/lisp/emulation...
Checking 148 files in
/Applications/MacPorts/Emacs.app/Contents/Resources/lisp/emacs-lisp...
Checking 24 files in
/Applications/MacPorts/Emacs.app/Contents/Resources/lisp/cedet...
Checking 57 files in
/Applications/MacPorts/Emacs.app/Contents/Resources/lisp/calendar...
Checking 87 files in
/Applications/MacPorts/Emacs.app/Contents/Resources/lisp/calc...
Checking 65 files in
/Applications/MacPorts/Emacs.app/Contents/Resources/lisp/obsolete...
Checking 1 files in /Applications/MacPorts/Emacs.app/Contents/Resources/leim...
Checking for load-path shadows...done
byte-code: No more matches
Auto-saving...done

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message idna rfc822 mml mml-sec
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums eldoc network-stream
auth-source eieio assoc password-cache starttls tls doc-view image-mode
cl-specs edebug trace debug texnfo-upd goto-addr tabify vc-rcs color
cus-edit descr-text nroff-mode scheme sgml-mode conf-mode newcomment
nxml-uchnm rng-xsd xsd-regexp rng-cmpct rng-nxml rng-valid rng-loc
rng-uri rng-parse nxml-parse rng-match rng-dt rng-util rng-pttrn nxml-ns
nxml-mode nxml-outln nxml-rap nxml-util nxml-glyph nxml-enc xmltok
ruby-mode skeleton sh-script executable dired-aux mule-util cal-move
parse-time org-wl org-w3m org-vm org-rmail org-mhe org-mew org-irc
org-jsinfo org-infojs org-html org-exp ob-exp org-exp-blocks find-func
org-agenda org-info org-gnus org-docview org-bibtex bibtex org-bbdb org
ob-emacs-lisp ob-tangle ob-ref ob-lob ob-table org-footnote org-src
ob-comint ob-keys ob ob-eval org-pcomplete pcomplete org-list org-faces
org-compat org-entities org-macs noutline outline format-spec cal-menu
calendar cal-loaddefs ediff-merg ediff-diff ediff-wind ediff-help
ediff-util ediff-mult ediff-init ediff ind-util tar-mode jka-compr dired
misearch multi-isearch info vc-git texinfo help-mode view gnus gnus-ems
nnheader gnus-util mail-utils mm-util mail-prsvr wid-edit cus-start
cus-load slime-asdf warnings slime-fancy slime-fontifying-fu
slime-package-fu slime-references slime-scratch slime-presentations
slime-fuzzy slime-fancy-inspector slime-c-p-c slime-editing-commands
slime-autodoc advice advice-preload slime-parse slime-repl slime
byte-opt bytecomp byte-compile cconv macroexp derived apropos help-fns
edmacro kmacro easy-mmode hideshow easymenu pp comint regexp-opt
ansi-color ring hyperspec thingatpt browse-url cl time-date tooltip
ediff-hook vc-hooks lisp-float-type mwheel ns-win tool-bar dnd fontset
image fringe lisp-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev minibuffer loaddefs button faces cus-face files text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process ns multi-tty
emacs)

--0016e68f9f6043f5ac04d333aabf
Content-Type: application/octet-stream; name=utf8-test
Content-Disposition: attachment; filename=utf8-test
Content-Transfer-Encoding: base64
X-Attachment-Id: f_hbwsu5zx0

VGhpcyBpcyB1dGY4LXRlc3QsIHByb2R1Y2VkIGJ5IG1ha2VpbmZvIHZlcnNpb24gNC4xMyBmcm9t
CnV0ZjgtdGVzdC50ZXhpLgoKVGhpcyBmaWxlIGlzIHJlbGVhc2VkIHVuZGVyIHRoZSBHRkRMLgoK
HwpGaWxlOiB1dGY4LXRlc3QsICBOb2RlOiBUb3AsICBOZXh0OiBIZWxsbywgIFVwOiAoZGlyKQoK
VVRGIDggVGVzdAoqKioqKioqKioqCgpVVEYtOCBlbmNvZGluZyBzaG91bGQgZWl0aGVyIGNvbnNp
c3RlbnRseSBjb3VudCBVbmljb2RlIGNoYXJhY3RlcnMgb3IKYnl0ZXMgZm9yIHNwZWNpZnlpbmcg
bG9jYXRpb25zIHdpdGhpbiB0aGUgZmlsZSBmb3IgTm9kZXMgYW5kIFJlZmVyZW5jZXMuClRleGlu
Zm8gNC4xMyBhbmQgRW1hY3MgMjQuMiBJbmZvIG1vZGUgYXBwYXJlbnRseSBkaXNhZ3JlZS4KCiog
TWVudToKCiogSGVsbG86OgoqIEdyZWV0aW5nczo6CgofCkZpbGU6IHV0ZjgtdGVzdCwgIE5vZGU6
IEhlbGxvLCAgTmV4dDogR3JlZXRpbmdzLCAgUHJldjogVG9wLCAgVXA6IFRvcAoKMSBIZWxsbwoq
KioqKioqCgpJbiBDaGluZXNlLCBhcyBhIGdyZWV0aW5nIG9uZSBzYXlzICLkvaDlpb0uIiAgVHJ5
IGl0IHlvdXJzZWxmOiDkvaDlpb0uCipOb3RlIEdyZWV0aW5nczo6LiAgQW1lcmljYW5zIGFyZSBs
aWtlbHkgdG8gc2F5IHNvbWV0aGluZyBlbHNlLiAqTm90ZQpFbmdsaXNoOjouCgofCkZpbGU6IHV0
ZjgtdGVzdCwgIE5vZGU6IEdyZWV0aW5ncywgIFByZXY6IEhlbGxvLCAgVXA6IFRvcAoKMiBHcmVl
dGluZ3MKKioqKioqKioqKioKCkdyZWV0aW5ncyBhcmUgaG93IGh1bWFucyBtYWtlIHRoZWlyIHBy
ZXNlbmNlIGtub3duIHRvIG9uZSBhbm90aGVyLgpFbmdsaXNoLXNwZWFraW5nIHBlb3BsZSBvZnRl
biBzYXkgImhlbGxvLiIKCgofClRhZyBUYWJsZToKTm9kZTogVG9wfzExNApOb2RlOiBIZWxsb380
MzEKTm9kZTogR3JlZXRpbmdzfzY3NApSZWY6IEVuZ2xpc2h/ODI4Ch8KRW5kIFRhZyBUYWJsZQoK
HwpMb2NhbCBWYXJpYWJsZXM6CmNvZGluZzogdXRmLTgKRW5kOgo=
--0016e68f9f6043f5ac04d333aabf
Content-Type: application/x-texinfo; name="utf8-test.texi"
Content-Disposition: attachment; filename="utf8-test.texi"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_hbwsu60u1
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--0016e68f9f6043f5ac04d333aabf--




Acknowledgement sent to Joseph Oswald <josephoswald@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#13431; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 31 May 2015 18:45:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.